$include /etc/inputrc

# Faster forward/backward with ctrl+left/right
"\e[1;5D": backward-word
"\e[1;5C": forward-word

# Erase words better
"\C-w":unix-filename-rubout

# Better completion
TAB: menu-complete
"\e[Z": menu-complete-backward
set completion-ignore-case on
set completion-map-case on
set show-all-if-ambiguous on
set colored-stats on
set colored-completion-prefix on
set menu-complete-display-prefix on
set visible-stats on
set mark-directories on
set mark-symlinked-directories on

# History searches matching current input
"\e[A": history-search-backward
"\e[B": history-search-forward
$if mode=vi
set keymap vi-command
"\e[A": history-search-backward
"\e[B": history-search-forward
j: history-search-forward
k: history-search-backward
set keymap vi-insert
"\e[A": history-search-backward
"\e[B": history-search-forward
$endif

"\C-x\C-r": re-read-init-file
